Subject: Re: bug#37858: bug#37880: 27.0.50; Changing font size in Info-mode messes up formatting

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 May 2022 19:20:33 +0300

> Cc: [email-masked], [email-masked], [email-masked]
> Date: Sat, 07 May 2022 19:06:55 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Stefan Monnier <[email-masked]>
> > Cc: [email-masked],  [email-masked],  [email-masked]
> > Date: Sat, 07 May 2022 11:58:41 -0400
> > 
> > I haven't looked at recent changes in this area, so maybe things would
> > be a bit easier now, tho looking at `scan_for_column` in `master`,
> > I still see that we re-implement in `check_display_width` (part of) the
> > code used in `xdisp.c` to handle the display property, so AFAICT the
> > duplication is still present.
> 
> There's no duplication.  We simply use the same infrastructure as the
> display code does.

And, btw, I don't think I agree with your assertion that we should use
the display routines for current-column and friends.  The
column-oriented functions count actual (not canonical) columns,
whereas display code counts pixels.  It makes little sense to me to
call the display code, which will load fonts, call jit-lock, and
whatnot, just to count columns like current-column expects.